--
-- IHC 1455 XL
-- Spezialization um Hilfe ein- bzw. ausblenden zu können
-- 
--
-- Author  Friedrich L.  -  Skullman
-- Date 18. Dezember 2010
-- Web www.modding-society.de
--
-- Copyright (c) Friedrich L. - All Rights Reserved.
--

ShowHelp = {};

function ShowHelp.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function ShowHelp:load(xmlFile)
	self.showHelp = false;
end;

function ShowHelp:delete()
end;

function ShowHelp:mouseEvent(posX, posY, isDown, isUp, button)
end;

function ShowHelp:keyEvent(unicode, sym, modifier, isDown)
end;

function ShowHelp:update(dt)
	if self:getIsActiveForInput() then
		if InputBinding.hasEvent(InputBinding.TOGGLE_SHOW_HELP) then
			self.showHelp = not self.showHelp;
		end;
	end;
end;



function ShowHelp:updateTick(dt)
end;


function ShowHelp:draw()
	if not self.showHelp then
		renderText(0.72, 0.25, 0.02, "klavesa Num 0: INFO.");
	 else
		-- Koordinaten sind aus der F930.lua - Author leider unbekannt
		renderText(0.72, 0.25, 0.02, "klavesa Num 0: info. ");
		renderText(0.72, 0.86, 0.025, "  Zetor 7745  ");			
		renderText(0.72, 0.83, 0.02, "klavesa home: majak.");
		renderText(0.72, 0.81, 0.02, "klavesa Num 7: dvere leve. ");
		renderText(0.72, 0.79, 0.02, "klavesa Num 9: dvere prave.");			
		renderText(0.72, 0.77, 0.02, "klavesa Num 8: Okno zadni.");
		renderText(0.72, 0.75, 0.02, "klavesa Num 5: Okno stresni.");
		renderText(0.72, 0.73, 0.02, "klavesa Num F svetla.");
		renderText(0.72, 0.71, 0.02, "klavesa Num Enter: startovani.");
		renderText(0.72, 0.69, 0.02, "klavesa Num 1,2,3: blinkry.");
		renderText(0.72, 0.67, 0.02, "klavesa 9: zmena kol.");
                renderText(0.72, 0.63, 0.025, "by Dzimson.");
                renderText(0.72, 0.60, 0.025, "mods-ls.com.pl");
	end;
end;

function ShowHelp:onLeave()
	self.showHelp = false;
end;




